
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>小白学习Python之路---开发环境的搭建 / 憋错料</title>

    <meta name="description" content="小白学习Python之路---开发环境的搭建 本节内容 1.Python的介绍 2.发展史 3.安装Python 4.搭建开发环境 5.Hello World程序 一.Python的介绍 Python的创始人为荷兰人吉多·范罗苏姆(Guido van Rossum).1989年圣诞节期间,在阿姆斯特丹,Guido为了打发圣诞节的无趣,决心开发一个新的脚本解释程序,作为ABC 语言的一种继承.之所以选中Python(大蟒蛇的意思)作为该编程语言的名字,是取自英国20世纪70年代首播的电视喜剧&lt;蒙提.派森干的飞行马戏团&gt;(Monty ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">小白学习Python之路---开发环境的搭建</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<h1>本节内容</h1>
<p>　　1.Python的介绍</p>
<p>　　2.发展史</p>
<p>　　3.安装Python</p>
<p>　　4.搭建开发环境</p>
<p>　　5.Hello World程序</p>
<h2>一、Python的介绍</h2>
<p>　　<a href="https://baike.baidu.com/item/Python/407313?fr=aladdin" rel="external nofollow noreferrer">Python</a>的创始人为荷兰人吉多&middot;范罗苏姆（Guido van Rossum）。1989年圣诞节期间，在阿姆斯特丹，Guido为了打发圣诞节的无趣，决心开发一个新的脚本解释程序，作为ABC 语言的一种继承。之所以选中Python（大蟒蛇的意思）作为该编程语言的名字，是取自英国20世纪70年代首播的电视喜剧《蒙提.派森干的飞行马戏团》（Monty Python‘s Flying Circus）。这里只做简单的介绍，详细请自行查看百度百科。</p>
<p>　　而根据PYPL(PopularitY of Programming Language)公布的四月榜单，Python已经逆袭Java成为了最火的编程语言，所以可以看出，Python崇尚优美、清晰、简单，是一个优秀并广泛使用的语言。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2UubWFtaWNvZGUuY29tL2luZm8vMjAxOTA0LzIwMTkwNDA3MTEyMTU1MDE1NTIxLnBuZw==.jpg" /></p>
<p><strong>Python的应用领域也非常的广泛：</strong></p>
<ul>
<li><strong>云计算</strong>: 云计算最火的语言， 典型应用OpenStack</li>
<li><strong>WEB开发</strong>: 众多优秀的WEB框架，众多大型网站均为Python开发，Youtube, Dropbox, 豆瓣。 典型WEB框架有Django</li>
<li><strong>科学运算、人工智能</strong>: 典型库NumPy, SciPy, Matplotlib, Enthought librarys,pandas</li>
<li><strong>系统运维</strong>: 运维人员必备语言</li>
<li><strong>金融</strong>：量化交易，金融分析，在金融工程领域，Python不但在用，且用的最多，而且重要性逐年提高。原因：作为动态语言的Python，语言结构清晰简单，库丰富，成熟稳定，科学计算和统计分析都很厉害，生产效率远远高于c,c++,java,尤其擅长策略回测</li>
<li><strong>图形GUI</strong>: PyQT, WxPython,TkInter</li>
</ul>
<p><strong>简说Python</strong></p>
<p>　　Python是一门<strong>动态解释型的强类型定义语言</strong>，下面将带大家逐个字拆分理解这句话。</p>
<p>　　<strong>动态：</strong>有动态就肯定有静态。如果读者学过Java或者C语言，都不会忘记，当你要定义一个变量的时候，你需要指定变量的数据类型，是整型就用int，字符型就用char（我这里列举的是C里面的），而如果不指定是无法进行编译而导致报错的。而这就是所谓的静态类型语言。和静态类型语言相反，动态就是说永远不需要给变量指定任何的数据类型，该语言会在你第一次赋值给变量的时候，在内部将数据类型记录下来。</p>
<p>　　<strong>解释型：</strong>与解释型相对的是编译型，举个例子，C语言就是编译型的语言，当你写好程序源码，点击编译按钮的时候，有一个负责翻译的程序来对我们的源代码进行转换，生成相对应的可执行代码。这个过程说得专业一点，就称为编译（Compile），而负责编译的程序自然就称为编译器（Compiler）。如果我们写的程序代码都包含在一个源文件中，那么通常编译之后就会直接生成一个可执行文件，我们就可以直接运行了。而对于解释型，当你写好源码，直接点击运行就可以了，程序会从第一行开始执行，一行一行地由解释器将源代码转换成二进制代码以供执行。假设你的程序在第1000行出现错误的时候，也得等解释器执行到1000行才能发现错误。　</p>
<p>　　两者之间可以说是各有利弊吧，编译型执行速度快，可以脱离语言环境独立运行，但是每次都需要编译，当你想增加功能，你需要将整个项目进行从新编译，而且编译的时候根据是根据不同的运行环境生成机器码，也就是说在不同的操作系统之间的移植就会有问题，需要根据运行的操作系统环境编译不同的可执行文件。解释型有良好的平台兼容性，只要安装了解释器（虚拟机），在任何系统中都可以运行，当想更新代码的时候，还可以直接加上去，不需要停机维护。但是性能上不如编译型，每次运行都得解释一遍。</p>
<p>　　再简单点说就是打个比喻，假如你打算阅读一本外文书，而你不知道这门外语，那么你可以找一名翻译，给他<strong>足够的时间</strong>让他从头到尾把整本书翻译好，然后把<strong>书的母语版</strong>交给你阅读，这就是编译型；或者，你也立刻让这名翻译<strong>辅助你</strong>阅读，让他<strong>一句一句给你翻译</strong>，如果你想往回看某个章节，他也得重新给你翻译。这就是解释型。</p>
<p>　　<strong>强类型定义：</strong>字面的意思就是，强制数据类型定义，也就是说，一旦一个变量被指定了一个数据类型，如果不经过强制的类型转换，那么它就永远是这个数据类型了。举个栗子，假设你定义了一个整型的变量i，程序里面你就只能够将i作为整型使用（除非加强制转换），而不能用于字符串。强类型定义语言是类型安全的语言。</p>
<p>　　<strong>PS，这门语言是不是动态语言和这门语言是否类型安全之间是没有任何的联系的！</strong></p>
<h1><strong>二、发展史</strong></h1>
<ul>
<li>1989年，为了打发圣诞节假期，Guido开始写Python语言的编译器。Python这个名字，来自Guido所挚爱的电视剧Monty Python&rsquo;s Flying Circus。他希望这个新的叫做Python的语言，能符合他的理想：创造一种C和shell之间，功能全面，易学易用，可拓展的语言。</li>
<li>1991年，第一个Python编译器诞生。它是用C语言实现的，并能够调用C语言的库文件。从一出生，Python已经具有了：类，函数，异常处理，包含表和词典在内的核心数据类型，以及模块为基础的拓展系统。</li>
<li>Granddaddy of Python web frameworks, Zope 1 was released in 1999</li>
<li>Python 1.0 - January 1994 增加了&nbsp;lambda,&nbsp;map,&nbsp;filter&nbsp;and&nbsp;reduce.</li>
<li>Python 2.0 - October 16, 2000，加入了内存回收机制，构成了现在Python语言框架的基础</li>
<li>Python 2.4 - November 30, 2004, 同年目前最流行的WEB框架Django 诞生</li>
<li>Python 2.5 - September 19, 2006</li>
<li>Python 2.6 - October 1, 2008</li>
<li>Python 2.7 - July 3, 2010</li>
<li>In November 2014, it was announced that Python 2.7 would be supported until 2020, and reaffirmed that there would be no 2.8 release as users were expected to move to Python 3.4+ as soon as possible</li>
<li>Python 3.0 - December 3, 2008</li>
<li>Python 3.1 - June 27, 2009</li>
<li>Python 3.2 - February 20, 2011</li>
<li>Python 3.3 - September 29, 2012</li>
<li>Python 3.4 - March 16, 2014</li>
<li>Python 3.5 - September 13, 2015</li>
<li>Python 3.6 -&nbsp;December 16,2016</li>
<li>Python 3.7 -&nbsp;June 27,2018</li>
</ul>
<h1>三、安装Python</h1>
<p>　　Python的安装还是挺简单的。</p>
<p>　　1.首先打开Python的官网上面的下载页面<a href="https://www.python.org/downloads/" rel="external nofollow noreferrer">https://www.python.org/downloads/</a></p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2UubWFtaWNvZGUuY29tL2luZm8vMjAxOTA0LzIwMTkwNDA3MTEyMTU1MTg0NDU1LnBuZw==.jpg" /></p>
<p>　　2.点击箭头所指示的按钮（如果你是Mac系统，请选择相对应的即可），进入文件选择页面</p>
<p><strong>　　<img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2UubWFtaWNvZGUuY29tL2luZm8vMjAxOTA0LzIwMTkwNDA3MTEyMTU1Mjc3MjIzLnBuZw==.jpg" /></strong></p>
<p>　　选择稳定版本下载。下载的版本随自己的，一般下载最新版的稳定版即可，<strong>Windows x86-64 executable installer----&gt;Windows x86-64可执行安装程序,</strong>点击下载即可</p>
<p>　　3.下载好点击安装即可，和其他软件的安装是一样的，<strong>记住勾选上红色圈圈的添加环境变量。</strong></p>
<p>　　<img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2UubWFtaWNvZGUuY29tL2luZm8vMjAxOTA0LzIwMTkwNDA3MTEyMTU1MzYyMTc4LnBuZw==.jpg" /></p>
<p>　　4.检验是否安装成功。</p>
<p>　　打开命令行窗口（快捷键为win+r 输入cmd），输入Python，若出现版本号，就是安装成功，若没有，或许是环境变量没有添加成功，添加环境变量可以参考下面的教程　　　　　　&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;https://www.cnblogs.com/dangeal/p/5455005.html</p>
<p>　　<img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2UubWFtaWNvZGUuY29tL2luZm8vMjAxOTA0LzIwMTkwNDA3MTEyMTU1NDM2MzkyLnBuZw==.jpg" /></p>
<p>　　5.Python就安装成功了</p>
<h1>四、开发环境的搭建</h1>
<p>　　1.pycharm的介绍</p>
<p>　　PyCharm是一种Python IDE，带有一整套可以帮助用户在使用Python语言开发时提高其效率的工具，比如调试、语法高亮、Project管理、代码跳转、智能提示、自动完成、单元测试、版本控制。此外，该IDE提供了一些高级功能，以用于支持Django框架下的专业Web开发。</p>
<p>　　2.下载</p>
<p>　　pycharm的下载官网网址：<a href="https://www.jetbrains.com/pycharm/download/#section=windows" rel="external nofollow noreferrer">https://www.jetbrains.com/pycharm/download/#section=windows</a>，我下载的是右边的，读者可以自行选择。</p>
<p>　　<img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2UubWFtaWNvZGUuY29tL2luZm8vMjAxOTA0LzIwMTkwNDA3MTEyMTU1NTM0MDQyLnBuZw==.jpg" /></p>
<p>　　3.安装，也是像一般软件的安装，一直点下一步即可</p>
<p>　　4.注册，若资金允许，请点击<a href="https://www.jetbrains.com/idea/buy/" rel="external nofollow noreferrer">https://www.jetbrains.com/idea/buy/</a>购买正版，谢谢合作 ！</p>
<p>　　5.运行，刚安装好的pycharm，打开需要一定的时间，请耐心等待！</p>
<h1>五、hello world程序的编写</h1>
<p>　　1.打开pycharm，点击新建工程，工程名字自己定义。</p>
<p>　　<img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2UubWFtaWNvZGUuY29tL2luZm8vMjAxOTA0LzIwMTkwNDA3MTEyMTU1NjA3MjgwLnBuZw==.jpg" /></p>
<p>　　2.新建一个文件目录，在刚开始学习Python的时候，都是写一些小脚本，可以建立一个文件夹进行存放。</p>
<p>　　<img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2UubWFtaWNvZGUuY29tL2luZm8vMjAxOTA0LzIwMTkwNDA3MTEyMTU1NjU3MDgxLnBuZw==.jpg" /></p>
<p>　　3.新建脚本文件</p>
<p>　　<img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2UubWFtaWNvZGUuY29tL2luZm8vMjAxOTA0LzIwMTkwNDA3MTEyMTU1NzI4MzY2LnBuZw==.jpg" /></p>
<p>　　<img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2UubWFtaWNvZGUuY29tL2luZm8vMjAxOTA0LzIwMTkwNDA3MTEyMTU1NzkxODM4LnBuZw==.jpg" /></p>
<p>　　4.编写程序</p>
<p>　　</p>
<pre>print("hello world")</pre>
<p>　　5.在编写脚本的页面空白的地方点击鼠标右键，选择run &ldquo;your file name&rdquo;</p>
<p>　　<img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2UubWFtaWNvZGUuY29tL2luZm8vMjAxOTA0LzIwMTkwNDA3MTEyMTU1ODM3NzM0LnBuZw==.jpg" /></p>
<p>　　6.成功效果</p>
<p>　　<img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2UubWFtaWNvZGUuY29tL2luZm8vMjAxOTA0LzIwMTkwNDA3MTEyMTU1ODczODY0LnBuZw==.jpg" /></p>
<h1>写在最后的话：</h1>
<p>　　本章的重点是<strong>了解Python</strong>和<strong>搭建开发环境</strong>，我的安装过程是比较顺利的，没出现什么大的意外，倘若读者在参考我的过程出现一些其他的现象，一定要多多百度谷歌，还请见谅。</p>
<p>　　人生的第一次写博客，写的不好，还请见谅，若发现问题，请及时和我联系，我能及时修改，免得误人子弟。</p>
<p>　　说说为啥写博客吧，像我上面所写的知识，在百度上一搜一大堆，或许别人的比我的还要详细，但是我还是想继续写，一是记录自己的学习之路，也方便以后复习，二是在写博客的过程中，可以检验自己的知识是否牢固，加深自己对知识点的理解，三还可以锻炼一下自己的表述能力。</p>
<p><strong>　　最后一句：2019！努力！奋斗！</strong></p>
<p><strong>　　</strong></p>

<p>原文地址：https://www.cnblogs.com/Jay12138/p/10664379.html</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-29 19:46:27 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/hello/" title="hello">hello</a>, <a href="https://www.biecuoliao.com/tag/%e6%b5%8b%e8%af%95/" title="测试">测试</a>, <a href="https://www.biecuoliao.com/tag/%e5%91%bd%e4%bb%a4/" title="命令">命令</a>, <a href="https://www.biecuoliao.com/tag/3-1/" title="3&period;1">3&period;1</a>, <a href="https://www.biecuoliao.com/tag/%e5%ad%97%e7%ac%a6/" title="字符">字符</a>, <a href="https://www.biecuoliao.com/tag/mac/" title="mac">mac</a>, <a href="https://www.biecuoliao.com/tag/users/" title="users">users</a>, <a href="https://www.biecuoliao.com/tag/expect/" title="expect">expect</a>, <a href="https://www.biecuoliao.com/tag/%e6%99%ba%e8%83%bd%e6%8f%90%e7%a4%ba/" title="智能提示">智能提示</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>小白学习Python之路---开发环境的搭建的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/416KdqM.html" rel="bookmark">小白到大牛之路-开发环境搭建</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				项目1 搭建开发环境 Linux平台开发环境的搭建 1.安装Linux操作系统 建议使用虚拟机vmware方式安装Linux操作系统. Linux操作系统,可选择:1)CentOS(建议:Centos 7.0以上)补充:国内大部分企业的服务器是使用CentOS或(RedHat)CentOS是Redhat的社区版,用法相同.2)Ubuntu系统(不建议) 2.确保Linux操作系统能够上网 建议把虚拟机的网卡设置为桥接模式. 检查:ping www.baidu.com或直接在浏览器中打开百度网站(			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4pkPOP3.html" rel="bookmark">C语言学习（一）  开发环境的搭建</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				写这个系列的原因是因为最近在学习C语言,记录博客会让自己能够更好的掌握学习到的东西.编程贵在坚持,每天改变一丢丢! C语言开发两个软件,一个是文本编辑工具,Notepad++或者是EditPlus都可以:  二个是C语言编译器,这里我用的是 gcc for windows: 这里我粘出来gcc for windows在百度云盘上的下载地址. http://pan.baidu.com/s/1FubYD 环境变量的设置: (1)将刚刚下载好的文件,解压到C盘根目录下,文件夹名称 MinGw: (2)			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0dP9Pr0.html" rel="bookmark">Android的学习之路（一）开发环境的搭建</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一直以来都是做IOS开发的,但是有时候需要将IOS的应用搬到Android平台上.但是自身的功底并不是很好,所以就得学习学习了,今天我就和大家一块来学习下Android的环境搭建. 1&gt;下载并且安装Eclipse. Eclipse下载地址:http://pan.baidu.com/s/1pJtwLib 2&gt;下载并且安装ADT插件 ADT插件下载地址:http://dl.google.com/android/ADT-22.3.0.zip 3&gt;下载安装Android SDK Android			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/M6XRor3.html" rel="bookmark">【Python学习一】在OSX系统下搭建Python语言集成开发环境</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Python是一门简单易学,功能强大的编程语言.它具有高效的高级数据结构和简单而有效的面向对象编程方法.Python优雅的语法和动态类型以及其解释性的性质,使它在许多领域和大多数平台成为编写脚本和快速应用程序开发的理想语言. 下面介绍如何在OSX下安装Python语言集成开发环境.主要分为2过步骤 一.下载安装 首先进入https://www.jetbrains.com/网站,Jetbrains是一家国外的公司,听说他们开发了很多很棒的ide. 找的Pycharm. PyCharm是一种Pyth			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4AgKRy0.html" rel="bookmark">39 Ubuntu下配置python的vscode开发环境</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				0 引言 最近想在ubuntu下搞深度学习,首先配置了python的vscode开发环境.在配置python时,选择了Anaconda3.x,保证了其相对于系统python2.x的独立性.另外,vscode是单独安装的,其路径添加到环境变量中,安装完Anaconda3.x之后,启动其桌面客户端,即可看到vscode躺在列表中.启动vscode,配置python开发环境,并修正一些pylint的bug,即可享受. 1 安装VSCode (1)去这儿下载.deb版本的安装包 https://code			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/41XJVv3.html" rel="bookmark">小猿圈平台如何带小白学习python入门视频教程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Python开发技术近年来非常火热,尤其是在一线城市对于python开发人才需求一直扩大.很多企业对于python开发技术人才不惜重金招募.所以学习Python技术的人越来越多,初学Python开发技术的小伙伴对Python不是很了解,不知道Python技术好不好学,更不知道自己能否学好Python开发,本篇文章小编就和大家分享一下小猿圈平台如何带小白学习python入门视频教程? 小猿圈平台如何带小白学习python入门视频教程: 我们先来了解一下Python的学习路线,Python入门课程第			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0aO2WE4.html" rel="bookmark">windows下python web开发环境的搭建</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				windows下python web开发环境: python2.7,django1.5.1,eclipse4.3.2,pydev3.4.1 一. python环境安装 https://www.python.org/ftp/python/2.7/python-2.7.amd64.msi 不多说,装完后把C:\Python27加入到path环境变量里. 然后就溜溜python,看看version啦.OK,next step. 二. python web开发框架django安装 django是一个采用			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MzAzKA4.html" rel="bookmark">快速学习C语言三&colon; 开发环境&comma; VIM配置&comma; TCP基础，Linux开发基础，Socket开发基础</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				上次学了一些C开发相关的工具,这次再配置一下VIM,让开发过程更爽一些. 另外再学一些linux下网络开发的基础,好多人学C也是为了做网络开发. 开发环境 首先得有个Linux环境,有时候家里机器是Windows,装虚拟机也麻烦,所以还不如30块钱 买个腾讯云,用putty远程练上去写代码呢. 我一直都是putty+VIM在Linux下开发代码,好几年了,只要把putty和VIM配置好,其实 开发效率挺高的. 买好腾讯云后,装个Centos,会分配个外网IP,然后买个域名,在DNSPod解析过去			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3OK8mZ3.html" rel="bookmark">Android学习心得之 Linux下命令行Android开发环境的搭建</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1. 前言2. Java以及Ant安装3. Android SDK安装4. Android工程的基础命令 一.前言 本篇博文记录了Linux下全命令行的Android开发环境的搭建,本文内容基于以下文章: http://zyqhi2010.blog.163.com/blog/static/171589378201261093235290/   ( Linux中搭建基于Emacs的Android开发环境 )https://linux.cn/article-5966-1.html   (打造一个全命			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/n0lZAE4.html" rel="bookmark" class="title">转：中国人世界观的变化</a>
					<div>
						一篇很好的文章,原文地址:http://bbs.tianya.cn/post-worldlook-1776358-1.shtml ----------------------------------- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0jyPBeM.html" rel="bookmark" class="title">&lpar;三&rpar;学习CSS之opacity 属性</a>
					<div>
						参考:http://www.w3school.com.cn/cssref/pr_opacity.asp opacity 属性设置元素的不透明级别. &lt;!DOCTYPE html&gt; &lt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBmyDY4.html" rel="bookmark" class="title">Android scrollTo&lpar;&rpar; scrollBy&lpar;&rpar; Scroller解说及应用</a>
					<div>
						版本号:1.0 日期:2014.6.17  2014.6.18 版权:? 2014 kince 转载注明出处 scrollTo() .scrollBy()及 Scroller在视图滑动中常常使用到.比 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/49bWQ1M.html" rel="bookmark" class="title">html条件注释</a>
					<div>
						HTML条件注释用法诠释 注释内容以样式为例,如下: 1.支持所有IE浏览器 &lt;!--[if IE]&gt; &lt;link rel=&quot;stylesheet&quot; href=& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0e58e50.html" rel="bookmark" class="title">新手  山寨的 中国人民共和国国务院的官方网站  只能看不能点&Hat;&period;&Hat;</a>
					<div>
						1 &lt;!DOCTYPE html PUBLIC &quot;-//W3C//DTD XHTML 1.0 Transitional//EN&quot; &quot;http://www.w3.or ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/35qyYE3.html" rel="bookmark" class="title">关于属性表对话框步骤</a>
					<div>
						1.每个属性页关联一个类,比如有两个属性页,对应2个类,CMyPage1,CMyPage2,注意重载CPropertyPage 类的函数2.添加一个新类CMySheet,利用mfc的类向导,从Cpro ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDvpop3.html" rel="bookmark" class="title">内存映射机制</a>
					<div>
						http://www.lxway.com/956280826.htm 当CPU读取数据时,是由内存管理单元(MMU)管理的.MMU位于CPU与物理内存之间,它包含从虚拟地址向物理内存地址转化的映射信息 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MymzAjM.html" rel="bookmark" class="title">关于自定义checkbox-radio标签的样式的方法（label 和 background-position理解）</a>
					<div>
						label label标签有一个很好的作用就是扩大表单控件元素的点击区域. 一般有两种方法可以达到效果:(1)使用label标签包裹表单控件(2)设置label标签的for属性和表单的id属性一致 这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXqLlG0.html" rel="bookmark" class="title">stata学习笔记（二）：固定宽度型数据导入</a>
					<div>
						一.何为固定宽度型数据 有固定宽度的,某个或某几个数位上的数字表示某一类信息的数据.最简单明了的例子,你的身份证号. 有raw和txt两种数据文件格式. 二.导入步骤 依据数据的特点编写.dct 文件 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ZqBWL0.html" rel="bookmark" class="title">Linux之 增加swap空间</a>
					<div>
						引言 :有时候我们会遇到安装os时候,swap分区过小,导致某些大软件无法安装的问题.我们可以在linux下增大swap分区的空间. 以下的操作都要在root用户下执行: 0. 记录原 swap 分区 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4QjkkkM.html" rel="bookmark" class="title">static， const</a>
					<div>
						static 静态的,类的静态成员函数,静态成员变量是和类相关的,但不和具体对象相关.即使没有具体对象,也能调用类的静态成员函数和成员变量.一般类的静态函数就是一个全局函数,只是作用域在包含它的文件中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/35NXq14.html" rel="bookmark" class="title">深入浅出聊聊企业级API网关</a>
					<div>
						http://architect.dataguru.cn/article-11431-1.html API Gateway(API GW / API 网关),顾名思义,是出现在系统边界上的一个面向 A ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3qO7L5M.html" rel="bookmark" class="title">npm 使用记录</a>
					<div>
						在 Mint 下安装 pencil,折腾半天,发现它对 firefox 的支持,只到 46.0 .本来打算研究下怎么用 xulrunner 来跑 pencil 这个 web 应用,查看项目资源的时候, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MGeG5Z3.html" rel="bookmark" class="title">Excel转Json&comma;Json转CSharp</a>
					<div>
						一份给策划最好的礼物!就是:Excel2Json2CSharp 策划配置Excel,动不动就要改数值啊,增加字段啊.程序这边对应的解析类就得改动啊.整一个麻烦了得!所以我就整理了这个Excel2Jso ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0j9bJZM.html" rel="bookmark" class="title">Oracle基础 数据库备份和恢复</a>
					<div>
						原文:Oracle基础 数据库备份和恢复 一.为什么需要数据备份 造成数据丢失的主要原因: 1.介质故障. 2.用户的错误操作. 3.服务器的彻底崩溃. 4.计算机病毒. 5.不可预料的因素. Ora ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0e6o753.html" rel="bookmark" class="title">话说网站压力测试</a>
					<div>
						作为一名合格的网站的架构师,需对网站整体能承载的压力了如指掌,只有这样才能做到运筹帷幄,决胜千里. 尤其是一个新项目在上线之前,首要做的是在预演环境,模拟用户访问进行压测,这样,对于其能承受多大访问量 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mzn7bWM.html" rel="bookmark" class="title">mysql之视图</a>
					<div>
						1.什么是视图? 视图是由查询结果形成的一张虚拟表. 2.什么时候要用到视图? 如果某个查询结果出现的非常频繁,也就是,要经常拿这个查询结果来做子查询 3.视图的创建语法: create view 视 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xD5dn0.html" rel="bookmark" class="title">AopTest</a>
					<div>
						package phz.springframework.service.impl; import org.springframework.context.ApplicationContext;impo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MyzkDj0.html" rel="bookmark" class="title">css3 选择器（三）&mdash;伪类选择器</a>
					<div>
						E:target 表示当前的URL片段的元素类型,这个元素必须是E 1 &lt;!DOCTYPE html&gt; 2 &lt;html lang=&quot;en&quot;&gt; 3 &lt;h ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rprxlM.html" rel="bookmark" class="title">批处理taskkill运行结束不掉程序以及停留问题</a>
					<div>
						我原来就一句代码 TASKKILL /F /IM QQ.exe 保存为taskkill.bat,结果运行起来一直显示,但是没有结束掉进程,百度搜索才知道taskkill为系统关键字,不能命名为task ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
